## org.mortbay.log
Class Slf4jLog

    java.lang.Object
      org.mortbay.log.Slf4jLog

All Implemented Interfaces:
  Logger

    public class Slf4jLog

extends Object
implements Logger

Constructor Summary
`Slf4jLog()`
`Slf4jLog(String name)`

Method Summary
`void` `debug(String msg, Object arg0, Object arg1)`
`void` `debug(String msg, Throwable th)`
`Logger` `getLogger(String name)`
`void` `info(String msg, Object arg0, Object arg1)`
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programatically.
`String` `toString()`
`void` `warn(String msg, Object arg0, Object arg1)`
`void` `warn(String msg, Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Slf4jLog

    public Slf4jLog()
             throws Exception

Throws:
  `Exception`

### Slf4jLog

    public Slf4jLog(String name)
             throws Exception

Throws:
  `Exception`

Method Detail

### debug

    public void debug(String msg,
                      Object arg0,
                      Object arg1)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(String msg,
                      Throwable th)

  Specified by:
    `debug` in interface `Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### info

    public void info(String msg,
                     Object arg0,
                     Object arg1)

  Specified by:
    `info` in interface `Logger`

### warn

    public void warn(String msg,
                     Object arg0,
                     Object arg1)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(String msg,
                     Throwable th)

  Specified by:
    `warn` in interface `Logger`

### getLogger

    public Logger getLogger(String name)

  Specified by:
    `getLogger` in interface `Logger`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programatically. Implementations operation in which case an appropriate warning message shall be generated.

  Specified by:
    `setDebugEnabled` in interface `Logger`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.